$schema: "http://json-schema.org/draft-06/schema#"

title: datastream v1 OracleSourceConfig export schema
description: A gcloud export/import command YAML validation schema.
type: object
additionalProperties: false
properties:
  COMMENT:
    type: object
    description: User specified info ignored by gcloud import.
    additionalProperties: false
    properties:
      template-id:
        type: string
      region:
        type: string
      description:
        type: string
      date:
        type: string
      version:
        type: string
  UNKNOWN:
    type: array
    description: Unknown API fields that cannot be imported.
    items:
      type: string
  binaryLogParser:
    description: Use Binary Log Parser.
    $ref: BinaryLogParser.yaml
  dropLargeObjects:
    description: Drop large object values.
    type: droplargeobjects
  excludeObjects:
    description: Oracle objects to exclude from the stream.
    $ref: OracleRdbms.yaml
  includeObjects:
    description: Oracle objects to include in the stream.
    $ref: OracleRdbms.yaml
  logMiner:
    description: Use LogMiner.
    type: logminer
  maxConcurrentBackfillTasks:
    description: |-
      Maximum number of concurrent backfill tasks. The number should be non-
      negative. If not set (or set to 0), the system's default value is used.
    type: integer
  maxConcurrentCdcTasks:
    description: |-
      Maximum number of concurrent CDC tasks. The number should be non-negative.
      If not set (or set to 0), the system's default value is used.
    type: integer
  streamLargeObjects:
    description: Stream large object values.
    type: streamlargeobjects
    $ref: StreamLargeObjects.yaml
